drt-tools-nmu-list(1)

NAME
drt-tools-nmu-list - BinNMU a list of packages

SYNOPSIS
drt-tools nmu-list <-m|--message> [--bp] [--dw] [--extra-depends] [-v|--verbose]... [-q|--quiet]... [-s|--suite] [-a|--architecture] [-h|--help] [INPUT]

DESCRIPTION
BinNMU a list of packages

This command reads a list of source packages from stdin or a given file and takes it as input to produce/schedule commands to binNMU those packages. The command is able to handle both version-less lists and versioned source packages formatted as `source_version`.

If an architecture is specified, but the package to be rebuilt produces a `Multi-Arch: same` binary, a binNMU for `ANY` will be scheduled instead.

OPTIONS

-m, --message <MESSAGE>
    Message for binNMUs

--bp <BUILD_PRIORITY>
    Build priority

    If specified, the binNMUs are scheduled with the given build priority. Builds with a positive priority will be built earlier.

--dw <DEP_WAIT>
    Dependency-wait

    If specified, the builds will wait until the given dependency relation is satisfied.

--extra-depends <EXTRA_DEPENDS>
    Extra dependencies

    If specified, the given dependency will be installed during the build.

-v, --verbose
    Increase logging verbosity

-q, --quiet
    Decrease logging verbosity

-s, --suite <SUITE> [default: unstable]
    Suite for binNMUs

-a, --architecture <ARCHITECTURE>
    Architectures for binNMUs

    If no architectures are specified, the binNMUs are scheduled with ANY. Otherwise, the architectures specified here are taken. The option supports the special architecture `ANY` as well as removing architectures from `ANY` by specifying `-$arch`.

-h, --help
    Print help (see a summary with '-h')

[INPUT]
    Input file with a list of packages

    If not specified, the list of packages will be read from the standard input.